Page MenuHomePhabricator

Better exception handling
Closed, WontfixPublic

Description

As shown by the Kotlin team, unchecked exceptions are a lot better to maintain than checked exceptions -- replace every checked exception by an unchecked exception and simplify the code

Event Timeline

CLOVIS triaged this task as High priority.Sep 17 2018, 1:57 PM
CLOVIS created this task.
CLOVIS raised the priority of this task from High to Unbreak Now!.Sep 29 2018, 5:56 PM
CLOVIS closed this task as Wontfix.Nov 9 2018, 10:14 PM
CLOVIS added a parent task: T268: Kotlin + Java 7.

In Kotlin, every exception is unchecked. The lib can stay as it is for end-users, but it automatically will not contain checked exception.